#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	rrdtool
Version		:	1.8.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Round Robin Database Tool to store and display time-series data

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://oss.oetiker.ch/rrdtool

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	lua
BuildRequires	:	perl
BuildRequires	:	pango
BuildRequires	:	%{__python}
BuildRequires	:	tcl


Requires	:	dejavu-fonts
#-----------------------------------------------------------------------------
%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

#-----------------------------------------------------------------------------
%files	-f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS
%license LICENSE
%{_bindir}/rrd*
%{_libdir}/librrd.so.8*
%{_libdir}/tclrrd1*.so
%{_libdir}/lua/*/rrd.so*
%{_libdir}/%{name}/*.tcl
%{_libdir}/perl/%{perlvers}/RRDp.pm
%{_libdir}/perl/%{perlvers}/%{archlinux}/RRDs.pm
%{_libdir}/perl/%{perlvers}/%{archlinux}/perllocal.pod
%{_libdir}/perl/%{perlvers}/%{archlinux}/auto/RRDs/RRDs.so
%{_datadir}/%{name}/examples/*.{pl,py,pm}
%{_datadir}/%{name}/examples/rrdcached/*.{pl,pm}
%{_datadir}/%{name}/examples/*.cgi
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_defaultdocdir}/%{name}-%{version}/txt/*.{pod,txt}
%{_mandir}/man1/bin_dec_hex.1.gz
%{_mandir}/man1/cdeftutorial.1.gz
%{_mandir}/man1/rpntutorial.1.gz
%{_mandir}/man1/rrd*.1.gz
%{_mandir}/man3/librrd.3.gz
%{_mandir}/man3/RRD*.3.gz

#=============================================================================
%package		devel
Summary		:	RRDtool libraries and header files

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
RRD is the Acronym for Round Robin Database.
RRD is a system to store and display time-series data
(i.e. network bandwidth, machine-room temperature,
server load average).
This package allow you to use directly this library.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/rrd*.h
%{_libdir}/librrd.so
%{_libdir}/pkgconfig/librrd.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./bootstrap
autoreconf -vif

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--enable-shared					\
	--enable-perl					\
	--disable-python				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang %{name}

#removing extra perl file
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	\( -name \*.la -o -name \*.a \)			\
	-delete

#-----------------------------------------------------------------------------
%changelog
